Subject: Re: [PATCH 1/1] config: support setting up a remote tracking branch upon creation

From: Junio C Hamano <[email-masked]>
Date: Wed, 28 Jul 2021 11:39:40 -0700

Ben Boeckel <[email-masked]> writes:

> Hopefully this gives a clearer picture of where I'm coming from.

I think you gave descriptions to a reasonable level of detail to
explain what your expected workflow is, to what extent the current
tools support the workflow already, and what are still missing (and
you want to extend the system to help).

The reason I asked these questions is to make sure that future
readers of "git log" after your contribution becomes part of our
history will not have to ask them (as you won't be as readily
available to answer their questions).  So please don't be content
just because you answered and helped _me_ understand where you're
coming from.  Make sure an updated documentation and proposed log
message explains them well to our future readers without your
assistance.

Thanks.